<?php
require_once "header.php";

if (isset($new_team) && !$has_error) { ?>
    Votre équipe a bien été créée ! Voici le code d'accès à transmettre aux autres membres de votre équipe : <strong><?= $new_team->access_code ?></strong>
<?php } elseif ($_SESSION["team"] != NULL) { ?>
    <h2>Vous êtes déjà dans une équipe.</h2>
<?php } elseif(date("Y-m-d H:i:s") >= $CONFIG->getInscriptionDate()) { ?>
    <h2>La date limite d'inscription est dépassée.</h2>
<?php } else { ?>

<form method="POST">
    <input type="hidden" name="submitted" value="true" />
    <table style="width: 100%;">
        <tbody>
        <tr>
            <td style="width: 30%;">
                <label for="name">Nom :</label>
            </td>
            <td style="width: 70%;">
                <input style="width: 100%;" type="text" id="name" name="name" />
            </td>
        </tr>
        <tr>
            <td>
                <label for="trigram">Trigramme :</label>
            </td>
            <td>
                <input style="width: 100%;" type="text" id="trigram" name="trigram" />
            </td>
        </tr>
        <tr>
            <td>
                <label for="problem">Problème :</label>
            </td>
            <td>
                <select style="width: 100%;" id="problem" name="problem">
                    <?php
                    for ($i = 1; $i <= 4; ++$i)
                        echo "<option value='$i'>$i</option>";
                    ?>
                </select>
            </td>
        </tr>
        <tr>
            <td style="text-align: center;" colspan="2">
                <input type="checkbox" id="allow_publish" name="allow_publish" />
                <label for="allow_publish">J'accepte qu'Animath diffuse mes vidéos à la fin du tournoi (<em>facultatif</em>)</label>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <input style="width: 100%;" type="submit" value="Ajouter une équipe" />
            </td>
        </tr>
        </tbody>
    </table>
</form>
<?php } ?>

<?php require_once "footer.php" ?>
